WESNOTH(6)

NAME
wesnoth - Battle for Wesnoth, a turn-based fantasy strategy game

SYNOPSIS
wesnoth [OPTIONS] [PATH_TO_DATA]

DESCRIPTION
Battle for Wesnoth is a turn-based fantasy strategy game. Defeat all enemy leaders using a well-chosen cadre of troops, taking care to manage your resources of gold and villages. All units have their own strengths and weaknesses; to win, deploy your forces to their best advantage while denying your foes the chance to do the same. As units gain experience, they acquire new abilities and become more powerful. Play in your own language and test your skill against a smart computer opponent, or join Wesnoth's large community of on-line players. Create your own custom units, scenarios or campaigns, and share them with others.

OPTIONS

--bpp number
    sets BitsPerPixel value. Example: --bpp 32

--compress infile outfile
    compresses a savefile (infile) that is in text WML format into binary WML format (outfile).

-d, --debug
    shows extra debugging information and enables additional command mode options in-game (see the website at http://www.wesnoth.org/wiki/CommandMode for more information about command mode).

--decompress infile outfile
    decompresses a savefile (infile) that is in binary WML format into text WML format (outfile).

-f, --fullscreen
    runs the game in full screen mode.

--fps
    displays the number of frames per second the game is currently running at, in a corner of the screen.

--gunzip infile.gz
    decompresses a file which should be in gzip format and stores it without the .gz suffix. The infile.gz will be removed.

--gzip infile
    compresses a file in gzip format, stores it as infile.gz and removes infile.

-h, --help
    displays a summary of command line options to standard output, and exits.

--load savegame
    loads the file savegame from the standard save game directory.

--log-level=domain1,domain2,...
    sets the severity level of the log domains. all can be used to match any log domain. Available levels: error, warning, info, debug. By default the error level is used.

--logdomains
    Dumps a list of all log domains and exits.

--max-fps
    the number of frames per second the game can show, the value should be between the 1 and 1000, the default is 50.

--multiplayer
    runs a multiplayer game. There are additional options that can be used together with --multiplayer as explained below.

--nocache
    disables caching of game data.

--nosound
    runs the game without sounds and music.

--path
    prints the name of the game data directory and exits.

-r XxY, --resolution XxY
    sets the screen resolution. Example: -r 800x600

-t, --test
    runs the game in a small test scenario.

-v, --version
    shows the version number and exits.

-w, --windowed
    runs the game in windowed mode.

--no-delay
    runs the game without any delays for graphic benchmarking. This is automatically enabled by --nogui.

--nogui
    runs the game without the GUI. Must appear before --multiplayer to have the desired effect.

--exit-at-end
    exits once the scenario is over, without displaying victory/defeat dialog which requires the user to click OK. This is also used for scriptable benchmarking.

Options for --multiplayer
The side-specific multiplayer options are marked with number. number has to be replaced by a side number. It usually is 1 or 2 but depends on the number of players possible in the chosen scenario.

--algorithmnumber=value
    selects a non-standard algorithm to be used by the AI controller for this side. Available values: idle_ai and sample_ai.

--controllernumber=value
    selects the controller for this side. Available values: human and ai.

--era=value
    use this option to play in the selected era instead of the Default era. The era is chosen by an id. Eras are described in the data/multiplayer/eras.cfg file.

--parmnumber=name:value
    sets additional parameters for this side. This parameter depends on the options used with --controller and --algorithm. It should only be useful for people designing their own AI. (not yet documented completely)

--scenario=value
    selects a multiplayer scenario by id. The default scenario id is multiplayer_The_Freelands.

--sidenumber=value
    selects a faction of the current era for this side. The faction is chosen by an id. Factions are described in the data/multiplayer.cfg file.

--turns=value
    sets the number of turns for the chosen scenario. The default is 50.

Example to test your own AI against the default AI without starting the GUI:
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py

AUTHOR
Written by David White <davidnwhite@verizon.net>.
Edited by Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> and Soliton <soliton.de@gmail.com>.
This manual page was originally written by Cyril Bouthors <cyril@bouthors.org>.
Visit the official homepage: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wesnoth_editor(6), wesnothd(6)